Name:           inception
Version:        0.4.2
Release:        %mkrel 10
Summary:        FireWire physical memory manipulation and hacking tool
License:        GPLv3
Group:          Security
URL:            https://github.com/carmaa/inception/
Source:         https://github.com/carmaa/inception/archive/inception-%{version}.tar.gz
Patch0:         inception-0.4.1-mga-switch-to-msgpack.patch
BuildArch:      noarch
BuildRequires:  python3
BuildRequires:  python3-devel

Requires:       python3dist(forensic1394)
Requires:       python3

%description
Inception is a FireWire physical memory manipulation and hacking tool
exploiting IEEE 1394 SBP-2 DMA.

%prep
%setup -q
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
install -d -m 755 %{buildroot}
%pyproject_install

# don't ship tests
rm -rf %{buildroot}%{python3_sitelib}/%{name}/test


%files 
%doc README.md
%{_bindir}/incept
%{python3_sitelib}/%{name}
%{python3_sitelib}/inception-%{version}*dist-info


%changelog
* Mon Mar 10 2025 papoteur <papoteur> 0.4.2-10.mga10
+ Revision: 2162517
- rebuild for python 3.13

* Tue Dec 19 2023 papoteur <papoteur> 0.4.2-9.mga10
+ Revision: 2019387
- Mass Rebuild - Python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.4.2-8.mga9
+ Revision: 1824071
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 0.4.2-7.mga9
+ Revision: 1787348
- rebuild for python-3.10

* Thu Apr 01 2021 guillomovitch <guillomovitch> 0.4.2-6.mga9
+ Revision: 1712356
- rebuild for python 3.9

* Wed Jul 22 2020 ovitters <ovitters> 0.4.2-5.mga8
+ Revision: 1608016
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 0.4.2-4.mga8
+ Revision: 1533138
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 guillomovitch <guillomovitch> 0.4.2-3.mga8
+ Revision: 1443647
- rebuild for python 3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 0.4.2-2.mga7
+ Revision: 1355039
- rebuild for new Python 3.7
+ guillomovitch <guillomovitch>
- new version 0.4.2

* Thu Sep 20 2018 umeabot <umeabot> 0.4.1-6.mga7
+ Revision: 1278872
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 daviddavid <daviddavid> 0.4.1-5.mga7
+ Revision: 1199989
- switch to msgpack
- use new python macros

* Sat Aug 05 2017 pterjan <pterjan> 0.4.1-4.mga7
+ Revision: 1135227
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.4.1-3.mga6
+ Revision: 970720
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.4.1-2.mga6
+ Revision: 887787
- rebuild for python 3.5

* Tue Jun 23 2015 guillomovitch <guillomovitch> 0.4.1-1.mga6
+ Revision: 840353
- new version 0.4.1

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 739705
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 726505
- rebuild for missing pythoneggs deps

* Sun Sep 21 2014 guillomovitch <guillomovitch> 0.4.0-2.mga5
+ Revision: 710907
- new version 0.4.0
- don't ship test files to avoid induced automatic dependencies
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.5-3.mga5
+ Revision: 629678
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.3.5-2.mga5
+ Revision: 629535
- Rebuild for new Python

* Tue Feb 04 2014 guillomovitch <guillomovitch> 0.3.5-1.mga5
+ Revision: 580725
- new version 0.3.5

* Sat Nov 30 2013 guillomovitch <guillomovitch> 0.3.3-1.mga4
+ Revision: 554140
- new version 0.3.3

* Tue Oct 22 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 542636
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.3.0-2.mga4
+ Revision: 497809
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Sep 05 2013 guillomovitch <guillomovitch> 0.3.0-1.mga4
+ Revision: 475309
- new version 3.0

* Wed Feb 13 2013 guillomovitch <guillomovitch> 0.2.4-1.mga3
+ Revision: 398211
- new version

* Sat Jan 12 2013 umeabot <umeabot> 0.0.7-0.20120228.4.mga3
+ Revision: 354367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 blino <blino> 0.0.7-0.20120228.3.mga3
+ Revision: 300576
- fix summary

* Sat Sep 29 2012 fwang <fwang> 0.0.7-0.20120228.2.mga3
+ Revision: 300374
- rebuild for py3.3

* Wed Feb 29 2012 guillomovitch <guillomovitch> 0.0.7-0.20120228.1.mga2
+ Revision: 216073
- new version (pre-release snapshot)

* Tue Feb 21 2012 guillomovitch <guillomovitch> 0.0.6-1.mga2
+ Revision: 211476
- imported package inception


* Mon Feb 20 2012 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.6-1.mga2
- initial import
